summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-30 11:44:23 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-08-31 07:42:03 +0700
commita2834b8519b7b06171fef1970b06b1202b1ff42d (patch)
tree3acf96542ccb916d2931706136dc327d49c40b2f /multimedia
parent72066306e5bf9741c5f5f52be54d01f64d7e5add (diff)
downloadslackbuilds-a2834b8519b7b06171fef1970b06b1202b1ff42d.tar.gz
slackbuilds-a2834b8519b7b06171fef1970b06b1202b1ff42d.tar.xz
multimedia/youtube-music: Added (Youtube Desktop App).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/youtube-music/README1
-rw-r--r--multimedia/youtube-music/doinst.sh9
-rw-r--r--multimedia/youtube-music/slack-desc19
-rw-r--r--multimedia/youtube-music/youtube-music.SlackBuild89
-rw-r--r--multimedia/youtube-music/youtube-music.info10
5 files changed, 128 insertions, 0 deletions
diff --git a/multimedia/youtube-music/README b/multimedia/youtube-music/README
new file mode 100644
index 0000000000..4ee78e7cb2
--- /dev/null
+++ b/multimedia/youtube-music/README
@@ -0,0 +1 @@
+YouTube Music Desktop App bundled with custom plugins
diff --git a/multimedia/youtube-music/doinst.sh b/multimedia/youtube-music/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/multimedia/youtube-music/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/youtube-music/slack-desc b/multimedia/youtube-music/slack-desc
new file mode 100644
index 0000000000..d6546adb40
--- /dev/null
+++ b/multimedia/youtube-music/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+youtube-music: youtube-music (YouTube Music Desktop App)
+youtube-music:
+youtube-music: YouTube Music Desktop App bundled with custom plugins
+youtube-music:
+youtube-music:
+youtube-music:
+youtube-music:
+youtube-music: Project URL: https://github.com/th-ch/youtube-music
+youtube-music:
+youtube-music:
+youtube-music:
diff --git a/multimedia/youtube-music/youtube-music.SlackBuild b/multimedia/youtube-music/youtube-music.SlackBuild
new file mode 100644
index 0000000000..afcd0f188c
--- /dev/null
+++ b/multimedia/youtube-music/youtube-music.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/bash
+
+# Slackware build script for youtube-music
+
+# Copyright 2024 Willy Sudiarto Raharjo <willysr@slackbuilds.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=youtube-music
+VERSION=${VERSION:-3.5.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ SRCARCH="amd64"
+else
+ echo "This architecture is unsupported. Aborting."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_${SRCARCH}.deb data.tar.xz | tar xJv
+cd $PKG
+chown -R root:root .
+# Fix Google braindeadness (and mine)
+find . -type d -exec chmod 0755 {} \;
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin/
+(
+ cd $PKG/usr/bin
+ ln -s "/opt/Youtube Music/youtube-music" youtube-music
+)
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/youtube-music/youtube-music.info b/multimedia/youtube-music/youtube-music.info
new file mode 100644
index 0000000000..f7cf6736cf
--- /dev/null
+++ b/multimedia/youtube-music/youtube-music.info
@@ -0,0 +1,10 @@
+PRGNAM="youtube-music"
+VERSION="3.5.1"
+HOMEPAGE="https://github.com/th-ch/youtube-music"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/th-ch/youtube-music/releases/download/v3.5.1/youtube-music_3.5.1_amd64.deb"
+MD5SUM_x86_64="5be57e03d4b2ca499d863ca2aef9d743"
+REQUIRES=""
+MAINTAINER="Willy Sudiarto Raharjo"
+EMAIL="willysr@slackbuilds.org"